Skip to main content
GET
/
v1
/
metrics
/
transaction-succeed-total
Transaction Succeed Total
curl --request GET \
  --url https://api.blockworks.com/v1/metrics/transaction-succeed-total \
  --header 'x-api-key: <api-key>'
{
  "projectName": [
    {
      "date": "2025-08-10",
      "value": 123456
    },
    {
      "date": "2025-08-11",
      "value": 234567
    },
    {
      "date": "2025-08-12",
      "value": 345678
    }
  ]
}

Overview

  • Denomination: Count
  • Type: Integer
  • Interval: Daily
  • Source: Blockworks

Example Request

curl -H "x-api-key: YOUR_API_KEY" \
  "https://api.blockworks.com/v1/metrics/transaction-succeed-total?project=avalanche"

Example Response

{
  "avalanche": [
    {
      "date": "2026-02-19",
      "value": 2403736
    },
    {
      "date": "2026-02-18",
      "value": 2607110
    },
    {
      "date": "2026-02-17",
      "value": 2502918
    },
    {
      "date": "2026-02-16",
      "value": 2640321
    },
    {
      "date": "2026-02-15",
      "value": 2515738
    }
  ]
}

Notes

  • Intervals are daily unless otherwise noted.
  • Data is updated daily and may be revised after late-arriving data.

Authorizations

x-api-key
string
header
required

Query Parameters

project
enum<string>
required

Project slug (comma-separated for multiple).

Available options:
aptos,
arbitrum,
avalanche,
base,
berachain,
bnb,
celestia,
ethereum,
fogo,
hyperevm,
katana,
megaeth,
monad,
optimism,
plasma,
polygon,
solana,
tron,
unichain,
zksync
Example:

"aptos"

start_date
string<date>

Start date (YYYY-MM-DD)

end_date
string<date>

End date (YYYY-MM-DD)

Response

OK

{key}
object[]